Intel modem driver compiles with 2.6.34.6

Great, I found an updated Intel 536/537 analog modem driver source that compiles with the 2.6.34.6 kernel used in Wary 0.9.2.

I first found it here, but it cannot be downloaded:
http://linmodems.technion.ac.il/packages/intel/Philippe.Vouters/

But then looking here found a link:
http://groups.google.com/group/ubuntu-modems/browse_thread/thread/73dda4775116691c

Download link:
http://vouters.dyndns.org/Intel/intel-536EP-537EP_2010_07_19.tar.bz2

To compile the modules, do this:

# cd coredrv

# make INTEL_MODEM=536EP 536core_26
...copy Intel536.ko

# make clean
# make INTEL_MODEM=537 537=537 537core_26
...copy Intel537.ko

# make clean
# make INTEL_MODEM=537EP 537=537 537core_26


...You can also do these values for INTEL_MODEM: 537SP, 537EA.

However, there is a problem as all the 537 modules have the same name, Intel537.ko.
I think that rerwin hacked the previous source so that they would generate Intel537EP.ko, etc., however perhaps this time he might want to do it differently, like it has been done for the Agere agrsm drivers.

I will liaise with him on this.

Anyway, this is good news, one more modem driver for the 2.6.34.6 kernel. What is still outstanding are the Conexant HCF/HSF and ESS drivers.


Posted on 24 Oct 2010, 18:54


Comments:

Posted on 24 Oct 2010, 21:14 by Iguleder
Latest Woof
Barry, two bugs:
- The two lines in 3builddistro that copy the wary5 package list need to be Wary-specific.
- BootFlash appears to be broken, it doesn't copy the SFS.

Cheers!